#include <iostream>
#include <fstream>
#include <iomanip>
#include <cmath>
#include <algorithm>
#define MAX 2*10^5

using namespace std;




int main()
{
    int i,j;
    int n;//broj el glavnog niza
    scanf("%d",&n);
    int a[n];
    for(i=0;i<n;i++){
        scanf("%d",&a[i]);//unos el u niza A
    }
    int q;
    scanf("%d",&q);//poklonjeni nizovi
    int odgovori[q];
    int podniz[MAX];
    int l[q];
    int r[q];
    int br=0;
    for(i=0;i<q;i++){
        scanf("%d",&l[i]);
        scanf("%d",&r[i]);
    }
    for(i=0;i<q;i++){
        int start = l[i]-1;
        int kraj = r[i]-1;
        for(int b=0;b<kraj-start;b++){
            podniz[b]=a[start];
            start++;
        }
        for(int c=1;c<kraj-start;c++){
            if(podniz[c-1]>podniz[c]){
                br+=1;

            }
            if(br>=2){ odgovori[i]=1;
            break;}

        }
    }

    for(i=0;i<q;i++){
        if(odgovori[i]==1)cout<<"NE"<<endl;
        else cout<<"DA"<<endl;
    }
  



    return 0;
}